### Constructor

# Phosh Proximity new

#### Declaration [src]

    PhoshProximity*
    phosh_proximity_new (
      PhoshSensorProxyManager* sensor_proxy_manager,
      PhoshCallsManager* calls_manager
    )

#### Description

No description available.

#### Parameters

`sensor_proxy_manager`

  Type: `PhoshSensorProxyManager`

  No description available.

  The data is owned by the caller of the function.

`calls_manager`

  Type: `PhoshCallsManager`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `PhoshProximity`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.